[debian-edu-commits] debian-edu/upstream/ 01/04: Add prerm script to disable apache config before removal.

Petter Reinholdtsen pere at moszumanska.debian.org
Sat Feb 20 14:25:49 UTC 2016


This is an automated email from the git hooks/post-receive script.

pere pushed a commit to branch jessie
in repository sitesummary.

commit 2dfdd354220a6c42103de2560120306df984d5e6
Author: Dominik George <nik at naturalnet.de>
Date:   Wed May 13 16:36:03 2015 +0200

    Add prerm script to disable apache config before removal.
---
 debian/sitesummary.prerm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/debian/sitesummary.prerm b/debian/sitesummary.prerm
new file mode 100644
index 0000000..62eb441
--- /dev/null
+++ b/debian/sitesummary.prerm
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    remove)
+        # Enable it on fresh installations as before Apache 2.4.  Check for
+        # cgi.load existence to avoid trying to configure when installed after
+        # apache2 is unpacked but not yet configured (bug #760084).
+        if [ -z "$2" ] && \
+            [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+            . /usr/share/apache2/apache2-maintscript-helper
+            apache2_invoke disconf sitesummary.conf
+        fi
+    ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/upstream/sitesummary.git



More information about the debian-edu-commits mailing list